#!/bin/sh

if [ -z $1 ];
then
    echo "usage Ex : "$0" 50%"
else
    echo "Convert File List "
    ls -m *.jpg
    echo "Converting"
    mkdir resize
    #これじゃ毎回resizeディレクトリを作らな
    for FILE in `ls *.jpg`
    do
        convert -resize $1 ${FILE} ./resize/${FILE}
    done
fi

#あるディレクトリ内の画像ファイルを指定された引数の値でリサイズするスクリプト
# $ resize.sh
